/**
 * Copyright (c) Cisco Systems, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 */
import { LitElement, PropertyValues } from "lit";
export declare namespace RadioGroup {
    const ELEMENT_base: typeof LitElement & import("../../mixins/RovingTabIndexMixin").AnyConstructor<import("../../mixins/RovingTabIndexMixin").RovingTabIndexInterface & import("../../mixins/SlottedMixin").SlotableInterface & import("../../mixins/SlottedMixin").SlotableClass & import("../../mixins/RovingTabIndexMixin").RovingTabIndexClass>;
    export class ELEMENT extends ELEMENT_base {
        label: string;
        checked: number;
        alignment: "horizontal" | "vertical";
        radioSlot?: HTMLSlotElement;
        private _disabled;
        get disabled(): boolean;
        set disabled(value: boolean);
        protected firstUpdated(changedProperties: PropertyValues): void;
        protected willUpdate(changedProperties: PropertyValues): void;
        get selectedRadioValue(): string;
        private notifySelectedChange;
        connectedCallback(): void;
        disconnectedCallback(): void;
        private setFirstChecked;
        private findRadioIndex;
        private findCheckedRadioIndex;
        private setChecked;
        private switchRadioOnArrowPress;
        private isRadioDisabled;
        handleClick(event: MouseEvent): false | undefined;
        handleKeyDown(event: KeyboardEvent): false | undefined;
        get slotElement(): HTMLSlotElement | undefined;
        static get styles(): import("lit").CSSResult[];
        clearSelection(): void;
        render(): import("lit-html").TemplateResult<1>;
    }
    export {};
}
declare global {
    interface HTMLElementTagNameMap {
        "md-radiogroup": RadioGroup.ELEMENT;
    }
}
